/***********************************************************************
 *      This example program is an excerpt from the book:              *
 *                                                                     *
 *          X Window OSF/Motif Toolkit Programming (I)                 *
 *            - Programming Basics, Resource and Event -               *
 *                                                                     *
 *      Copyright 1994, Hideyuki Hayashi                               *
 *                                                                     *
 *      This program can be distributed without fee, provided          *
 *      that the above copyright notice appear in all copies.          *
 ***********************************************************************/

#include <Xm/XmAll.h>

main(argc, argv)
    int  argc;
    char **argv;
{
    XtAppContext app_context;
    Widget  toplevel, dialog;
    Arg     al[20];
    int     ac;

    XtSetLanguageProc(NULL, NULL, NULL);

    ac = 0;          /* Do not map when managed -> will not be displayed */
    XtSetArg(al[ac], XmNmappedWhenManaged, False); ac++;
    toplevel = XtAppInitialize(&app_context, "Onlydialog", NULL, 0,
                               &argc, argv, NULL, al, ac);

    ac = 0;    /* Extend the toplevel to entire screen (although not displayed) */
    XtSetArg(al[ac], XmNwidth, WidthOfScreen(XtScreen(toplevel))); ac++;
    XtSetArg(al[ac], XmNheight, HeightOfScreen(XtScreen(toplevel))); ac++;
    XtSetValues(toplevel, al, ac);

    ac = 0;
    dialog = XmCreateMessageDialog(toplevel, "dialog", al, ac);
    XtManageChild(dialog);  /* Manage the dialog -> shown center on the screen */

    XtRealizeWidget(toplevel);
    XtAppMainLoop(app_context);
}
